# Update a loan

**PATCH** `/loans/{loan_id}`

Updates a loan by its ID.

### Path Parameters

- `loan_id` `string` _(required)_ — Unique identifier for the loan.

### Body Parameters

- `allow_overpayment` `boolean` — Indicates if a loan is able to be overpaid and have a `principal_outstanding` of less than $0. If `false`, payments that would result in a loan having a negative balance will be blocked.
- `auto_sell` `boolean` — Indicates if seasoned principals/interests should be automatically sold to your platform.
- `description` `string` — The description of the loan in the Column dashboard.
- `interest_config_id` `string` — ID of the interest configuration used to accrue interest receivable daily. The same interest configuration can be shared across multiple loans.
- `is_business_seasoning_days` `boolean` — Indicates if `seasoning_days` are business days or calendar days.
- `is_revolving` `boolean` — Indicates whether or not the loan is revolving. If `true` the loan can have multiple disbursements.
- `loan_program_id` `string` — ID of the loan program for this loan. If this field is not set, your platform's default loan program will be used.
- `maturity_date` `string` — The maturity date of the loan. It is required if the loan is not revolving.
- `max_principal_balance` `integer` — The max principal balance of the loan in cents. This is akin to a credit limit. Disbursements will fail if the resulting principal will be above the max principal. e.g. $1.75 would be represented by `175`.
- `retained_by_column` `boolean` — Indicates if this loan should be retained by Column. Loans retained by Column are not eligible for your platform to purchase.
- `seasoning_days` `integer` — Number of days principal receivables will be seasoned.
- `status` `string` — The current status of the loan. Possible values: `current`, `delinquent`, `charged_off`, `in_dispute`, `canceled`, `paid_off`

**Request**

```shell
curl 'https://api.column.com/loans/<loan_id>' \
  -XPATCH \
  -u :<YOUR API KEY> \
  -d max_principal_balance="50000000"
```

**Response 200**

```json
{
  "allow_overpayment": false,
  "auto_sell": false,
  "balances": {
    "interest_paid": "0",
    "interest_receivable": "0",
    "principal_charged_off": "0",
    "principal_holding": "0",
    "principal_outstanding": "0",
    "principal_paid": "0",
    "retained_interest_paid": "0",
    "retained_interest_receivable": "0",
    "retained_principal_charged_off": "0",
    "retained_principal_outstanding": "0",
    "retained_principal_paid": "0",
    "servicing_fee_payable": "0"
  },
  "canceled_at": null,
  "charged_off_at": null,
  "created_at": "2025-08-03T15:53:27Z",
  "currency": "USD",
  "delinquent_at": null,
  "description": "sample loan",
  "disputed_at": null,
  "id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
  "interest_config_id": "",
  "is_business_seasoning_days": false,
  "is_revolving": true,
  "loan_program_id": "",
  "maturity_date": "2028-10-10",
  "max_principal_balance": "50000000",
  "paid_off_at": null,
  "primary_signer_entity_id": "enti_2zI19bAiyHSmD5iGBZwMx7jwICd",
  "retained_by_column": false,
  "seasoning_days": 0,
  "status": "current"
}
```
